octave-splines (1.3.4-3) unstable; urgency=medium

  * d/copyright:
    + Accentuate my family name
    + Update Copyright years for debian/* files
  * Set upstream metadata fields: Archive.
  * d/control: Bump Standards-Version to 4.6.1 (no changes needed)
  * Build-depend on dh-sequence-octave
    + d/control: Ditto
    + d/rules: Drop the --with=octave option from dh call
  * d/watch: Adjust for new URL at gnu-octave.github.io
  * d/s/lintian-override: Override Lintian warning
    debian-watch-lacks-sourceforge-redirector

 -- Rafael Laboissière <rafael@debian.org>  Mon, 05 Dec 2022 11:35:38 -0300

octave-splines (1.3.4-2) unstable; urgency=medium

  * Upload to unstable

 -- Rafael Laboissière <rafael@debian.org>  Mon, 16 Aug 2021 12:50:44 -0300

octave-splines (1.3.4-1) experimental; urgency=medium

  * New upstream version 1.3.4
  * d/copyright: reflect upstream changes
  * d/control: Bump Standards-Version to 4.5.1 (no changes needed)

 -- Rafael Laboissière <rafael@debian.org>  Sun, 07 Mar 2021 05:34:48 -0300

octave-splines (1.3.3-2) unstable; urgency=medium

  * d/control:
    + Bump Standards-Version to 4.5.0 (no changes needed)
    + Bump debhelper compatibility level to 13
  * d/u/metadata:
    + Add Bug-{Database,Submit} and Repository-Browse fields
    + Drop Name and Contact fields

 -- Rafael Laboissière <rafael@debian.org>  Wed, 29 Jul 2020 18:30:13 -0300

octave-splines (1.3.3-1) unstable; urgency=medium

  * New upstream version 1.3.3
  * d/p/xtest-random-unit-tests.patch: Drop patch (fixed upstream)
  * d/p/accuracy-fminbnd.patch: Drop patch (applied upstream)
  * d/copyright: Reflect upstream changes

 -- Rafael Laboissiere <rafael@debian.org>  Wed, 30 Oct 2019 04:10:31 -0300

octave-splines (1.3.2-7) unstable; urgency=medium

  [ Rafael Laboissiere ]
  * d/control: Bump Standards-Version to 4.4.1 (no changes needed)

  [ Sébastien Villemot ]
  * accuracy-fminbnd.patch: new patch, fixes FTBFS and autopkgtest

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 09 Oct 2019 10:27:35 +0200

octave-splines (1.3.2-6) unstable; urgency=medium

  * d/p/xtest-random-unit-tests.patch: Fix indentation of assert commands
    (really, closes: 918747)

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 13 Jan 2019 08:11:27 -0200

octave-splines (1.3.2-5) unstable; urgency=medium

  * d/p/xtest-random-unit-tests.patch: New patch.
    Transform the randomly failing unit tests into xtest (expected
    failure test).
    (Closes: #918747)

 -- Rafael Laboissiere <rafael@debian.org>  Wed, 09 Jan 2019 07:53:43 -0200

octave-splines (1.3.2-4) unstable; urgency=medium

  [ Mike Miller ]
  * d/control, d/copyright: Use secure URL for upstream source.

  [ Rafael Laboissiere ]
  * d/control:
    + Add Rules-Requires-Root: no
    + Bump Standards-Version to 4.3.0
    + Bump to debhelper compat level 12
  * Build-depend on debhelper-compat instead of using d/compat

 -- Rafael Laboissiere <rafael@debian.org>  Wed, 02 Jan 2019 22:57:49 -0200

octave-splines (1.3.2-3) unstable; urgency=medium

  * Use dh-octave for building the package
  * d/control:
     + Use Debian's GitLab URLs in Vcs-* headers
     + Change Maintainer to team+pkg-octave-team@tracker.debian.org

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 10 Feb 2018 07:38:43 -0200

octave-splines (1.3.2-2) unstable; urgency=medium

  [ Sébastien Villemot ]
  * d/copyright: use secure URL for format.
  * d/watch: bump to format version 4.

  [ Rafael Laboissiere ]
  * d/u/metadata: Add publication year
  * Use the dh-based version of octave-pkg-dev
  * Set debhelper compatibility level to >= 11
  * d/control:
    + Bump Standards-Version to 4.1.3 (no changes needed)
    + Use cgit instead of gitweb in Vcs-Browser URL
    + Add Testsuite field

 -- Rafael Laboissiere <rafael@debian.org>  Fri, 29 Dec 2017 22:14:46 -0200

octave-splines (1.3.2-1) unstable; urgency=medium

  [ Sébastien Villemot ]
  * New upstream version 1.3.2
  * Drop obsolete workaround for fixing file permissions.

  [ Rafael Laboissiere ]
  * d/u/metadata: Add citation
  * Bump debhelper compat level to 10
  * d/control: Build-depends on octave-pkg-dev >= 1.4.4

 -- Sébastien Villemot <sebastien@debian.org>  Fri, 16 Dec 2016 20:09:02 +0100

octave-splines (1.3.1-1) unstable; urgency=medium

  * Imported Upstream version 1.3.1
  * d/rules: Fix file permissions
  * d/control: Reword package description and fix typos

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 26 Jun 2016 14:39:18 -0300

octave-splines (1.3.0-1) unstable; urgency=medium

  [ Sébastien Villemot ]
  * Imported Upstream version 1.3.0
  * d/p/relax-tps-val-unit-test.patch: drop patch, applied upstream.

  [ Rafael Laboissiere ]
  * d/control:
    + Use secure URIs in the Vcs-* fields
    + Bump Standards-Version to 3.9.8 (no changes needed)

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 28 May 2016 17:20:31 +0200

octave-splines (1.2.9-1) unstable; urgency=medium

  * Imported Upstream version 1.2.9
  * d/copyright: Reflect upstream changes
  * d/p/fix-unit-test-bin_values.patch: Remove patch (applied upstream)
  * d/p/relax-tps-val-unit-test.patch: New patch

 -- Rafael Laboissiere <rafael@laboissiere.net>  Thu, 10 Dec 2015 10:06:11 +0100

octave-splines (1.2.8-1) unstable; urgency=medium

  [ Rafael Laboissiere ]
  * Imported Upstream version 1.2.8
  * d/p/autoload-yes.patch: Remove patch (deprecated upstream)
  * d/p/fix-unit-test-bin_values.patch: New patch

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 25 Jul 2015 14:08:36 +0200

octave-splines (1.2.7-2) unstable; urgency=medium

  [ Sébastien Villemot ]
  * Uploaders: add Rafael Laboissiere, remove Thomas Weber.

  [ Rafael Laboissiere ]
  * Mention all upstream files in debian/copyright (fix Lintian warning)
  * Bump Standards-Version to 3.9.6 (no changes needed)

 -- Rafael Laboissiere <rafael@laboissiere.net>  Sat, 27 Sep 2014 06:26:08 -0300

octave-splines (1.2.7-1) unstable; urgency=medium

  * Imported Upstream version 1.2.7

 -- Sébastien Villemot <sebastien@debian.org>  Thu, 10 Apr 2014 18:11:01 +0200

octave-splines (1.2.6-1) unstable; urgency=low

  * Imported Upstream version 1.2.6

 -- Thomas Weber <tweber@debian.org>  Fri, 22 Nov 2013 10:47:54 +0100

octave-splines (1.2.5-1) unstable; urgency=low

  * Imported Upstream version 1.2.5
  * Bump Standards-Version to 3.9.5, no changes needed.

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 06 Nov 2013 14:40:01 +0000

octave-splines (1.2.4-1) unstable; urgency=low

  * Imported Upstream version 1.2.4

 -- Sébastien Villemot <sebastien@debian.org>  Fri, 16 Aug 2013 23:11:16 +0200

octave-splines (1.2.2-1) unstable; urgency=low

  [ Rafael Laboissiere ]
  * Imported Upstream version 1.2.2

 -- Thomas Weber <tweber@debian.org>  Mon, 22 Jul 2013 13:35:42 +0200

octave-splines (1.2.1-1) unstable; urgency=low

  [ Rafael Laboissiere ]
  * Imported Upstream version 1.2.1
  * debian/copyright: Adjust for the new upstream release
  * debian/control: Use canonical URLs in Vcs-* fields

 -- Thomas Weber <tweber@debian.org>  Sat, 08 Jun 2013 00:10:58 +0200

octave-splines (1.2.0-1) unstable; urgency=low

  [ Rafael Laboissiere ]
  * Imported Upstream version 1.2.0
  * debian/copyright: Use the octave-maintainers mailing list as upstream
    contact
  * debian/copyright: Reflect upstream changes
  * debian/patches/autoload-yes.diff: Refresh for new upstream version

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 18 May 2013 15:26:49 +0200

octave-splines (1.1.2-1) experimental; urgency=low

  [ Rafael Laboissiere ]
  * Imported Upstream version 1.1.2
  * debian/control: Drop useless dependency on shlibs:Depends

  [ Sébastien Villemot ]
  * debian/copyright: reflect upstream changes, minor cleanups

 -- Sébastien Villemot <sebastien@debian.org>  Fri, 07 Dec 2012 20:46:04 +0100

octave-splines (1.1.1-1) experimental; urgency=low

  [ Rafael Laboissiere ]
  * New upstream release 1.1.1
  * Bump Standards-Version to 3.9.4 (no changes needed)
  * Use Sébastien Villemot's @debian.org email address
  * Remove obsolete DM-Upload-Allowed flag

 -- Thomas Weber <tweber@debian.org>  Mon, 26 Nov 2012 20:19:49 +0100

octave-splines (1.1.0-1) experimental; urgency=low

  [ Rafael Laboissiere ]
  * Imported Upstream version 1.1.0
  * Drop patch fix-mkpp-call-in-fnder.patch (applied upstream)
  * Drop patch fix-mkpp-call-in-csape.patch (applied upstream)
  * debian/copyright: Reflect upstream changes
  * debian/patches/autoload-yes.patch: New patch

 -- Sébastien Villemot <sebastien.villemot@ens.fr>  Mon, 30 Jul 2012 21:57:16 +0200

octave-splines (1.0.7-4) unstable; urgency=low

  [ Rafael Laboissiere ]
  * Imported Upstream version 1.0.7
  * Bump to debhelper compat level 9
  * Build-depend on octave-pkg-dev >= 1.0.0, to build against Octave 3.6
  * Add Sébastien Villemot to the list of Uploaders
  * debian/copyright: update to machine-readable format 1.0
  * Bump to Standards-Version 3.9.3, no changes needed
  * debian/patches/fix-mkpp-call-in-fnder.patch: New patch
  * debian/patches/fix-mkpp-call-in-csape.patch: New patch

 -- Thomas Weber <tweber@debian.org>  Fri, 30 Mar 2012 15:09:06 +0200

octave-splines (1.0.7-3) unstable; urgency=low

  * debian/control:
    - Remove Rafael Laboissiere from Uploaders (Closes: #571867)
    - Remove Ólafur Jens Sigurðsson <ojsbug@gmail.com> from Uploaders
  * Switch to dpkg-source 3.0 (quilt) format
  * Bump standards version to 3.9.1, no changes required

 -- Thomas Weber <tweber@debian.org>  Sun, 01 May 2011 21:04:01 +0200

octave-splines (1.0.7-2) unstable; urgency=low

  [ Rafael Laboissiere ]
  * debian/control: Build-depend on octave-pkg-dev >= 0.7.0, such that the
    package is built against octave3.2

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Thu, 31 Dec 2009 01:21:32 +0100

octave-splines (1.0.7-1) unstable; urgency=low

  * New upstream release
  * debian/control:
    + (Standards-Version): Bump to 3.8.1 (no changes needed)
    + (Depends): Add ${misc:Depends}
    + (Vcs-Git, Vcs-Browser): Adjust to new Git repository
  * debian/source.lintian-overrides: Add file for overriding Lintian
    warnings build-depends-without-arch-dep
  * debian/copyright:
    + Use DEP5 URL in Format-Specification
    + Use separate License stanzas for instructing about the location of
      the different licenses used in the package

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 24 May 2009 20:22:32 +0200

octave-splines (1.0.6-2) unstable; urgency=low

  [ Rafael Laboissiere ]
  * debian/copyright: Add header
  * debian/control: Bump build-dependency on octave-pkg-dev to >= 0.6.4,
    such that the package is built with the versioned packages directory

  [ Thomas Weber ]
  * Upload to unstable

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Tue, 07 Apr 2009 11:17:47 +0200

octave-splines (1.0.6-1) experimental; urgency=low

  [ Ólafur Jens Sigurðsson ]
  * debian/control: Bumped Standards-Version to 3.8.0 (no changes
    needed)

  [ Thomas Weber ]
  * New upstream release
  * Bump dependency on octave-pkg-dev to 0.6.1, to get the experimental
    version

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Thu, 11 Dec 2008 16:36:37 +0000

octave-splines (1.0.5-1) unstable; urgency=low

  [ Ólafur Jens Sigurðsson ]
  * New upstream version

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Thu, 15 May 2008 12:47:15 +0200

octave-splines (1.0.4-1) unstable; urgency=low

  * Initial release (closes: #468525)

 -- Ólafur Jens Sigurðsson <ojsbug@gmail.com>  Sat, 23 Feb 2008 14:37:04 +0100
